# Upstream did not tag this release yet
%global tag master

Name:      eclipse-dtp
Version:   1.14.0
Release:   1%{?dist}
Summary:   Eclipse Data Tools Platform
License:   EPL
URL:       http://www.eclipse.org/datatools/

# get-dtp.sh will download all these tarballs
Source0:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.build.git/snapshot/org.eclipse.datatools.build-%{tag}.tar.xz
Source1:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.connectivity.git/snapshot/org.eclipse.datatools.connectivity-%{tag}.tar.xz
Source2:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.doc.git/snapshot/org.eclipse.datatools.doc-%{tag}.tar.xz
Source3:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.general.git/snapshot/org.eclipse.datatools.enablement.general-%{tag}.tar.xz
Source4:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.hsqldb.git/snapshot/org.eclipse.datatools.enablement.hsqldb-%{tag}.tar.xz
Source5:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.ibm.git/snapshot/org.eclipse.datatools.enablement.ibm-%{tag}.tar.xz
Source6:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.ingres.git/snapshot/org.eclipse.datatools.enablement.ingres-%{tag}.tar.xz
Source7:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.msft.git/snapshot/org.eclipse.datatools.enablement.msft-%{tag}.tar.xz
Source8:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.mysql.git/snapshot/org.eclipse.datatools.enablement.mysql-%{tag}.tar.xz
Source9:   http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.oda.git/snapshot/org.eclipse.datatools.enablement.oda-%{tag}.tar.xz
Source10:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.oracle.git/snapshot/org.eclipse.datatools.enablement.oracle-%{tag}.tar.xz
Source11:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.postgresql.git/snapshot/org.eclipse.datatools.enablement.postgresql-%{tag}.tar.xz
Source12:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.sap.git/snapshot/org.eclipse.datatools.enablement.sap-%{tag}.tar.xz
Source13:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.sqlite.git/snapshot/org.eclipse.datatools.enablement.sqlite-%{tag}.tar.xz
Source14:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.enablement.sybase.git/snapshot/org.eclipse.datatools.enablement.sybase-%{tag}.tar.xz
Source16:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.modelbase.git/snapshot/org.eclipse.datatools.modelbase-%{tag}.tar.xz
Source17:  http://git.eclipse.org/c/datatools/org.eclipse.datatools.sqltools.git/snapshot/org.eclipse.datatools.sqltools-%{tag}.tar.xz
Source18:  get-dtp.sh

# fix errors in build.props files
Patch0:    fix-build-props.patch

# fix build against oxygen
Patch1:    oxygen-compatibility.patch

BuildArch:        noarch

BuildRequires:    tycho
BuildRequires:    eclipse-emf-runtime
BuildRequires:    eclipse-gef
BuildRequires:    eclipse-pde
BuildRequires:    xalan-j2
BuildRequires:    xerces-j2
BuildRequires:    xml-commons-apis
BuildRequires:    xml-commons-resolver
BuildRequires:    wsdl4j
BuildRequires:    lpg-java-compat = 1.1.0
BuildRequires:    lucene
BuildRequires:    lucene-analysis
BuildRequires:    lucene-queryparser

%description
The Eclipse Data Tools Platform provides extensible frameworks and exemplary 
tools, enabling a diverse set of plug-in offerings specific to particular 
data-centric technologies and supported by the DTP ecosystem.

%prep
%setup -q -c dtp-%{version} -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 16 -a 17
%patch0
pushd org.eclipse.datatools.sqltools-%{tag}/
%patch1
popd


# These jars needs to be unzipped so that they can be rebuilt
# It doesn't contain any binary stuff, just stored as a jar in source repo :-/
pushd org.eclipse.datatools.doc-%{tag}
for p in $(cd packaged_jars/plugins && ls | cut -d_ -f1) ; do
  unzip -q -o -d plugins/$p packaged_jars/plugins/${p}_*.jar
  ff=
  for f in $(cd plugins/$p && find -type f) ; do
    [ -z "$ff" ] && ff="bin.includes = " || ff="$ff,"
    ff="$ff${f#./}"
  done
  echo "$ff" > plugins/$p/build.properties
done
rm -rf packaged_jars
popd

# remove stuff we're not building
rm -rf */examples/ */tests/ org.eclipse.datatools.build-%{tag}/plugins/org.eclipse.datatools.releng.builder

# generate poms
xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=org.eclipse.datatools -Dversion=%{version}-SNAPSHOT

# disable modules that we can't build
%pom_disable_module org.eclipse.datatools.build-%{tag}/plugins/org.eclipse.datatools.sdk
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.birt.dtp.nl.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.birt.dtp.sybase.nl.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.enablement.oda.ecore.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.enablement.oda.ecore.sdk.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.enablement.sdk.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.sdk.feature
%pom_disable_module org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.sdk-all.feature

# Don't need to build p2 site for RPM build
%pom_disable_module org.eclipse.datatools.build-%{tag}/releng.new/releng

# don't install poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j -- -DforceContextQualifier=$(date -u +v%Y%m%d1000)

%install
%mvn_install

%files -f .mfiles
%doc org.eclipse.datatools.build-%{tag}/features/org.eclipse.datatools.sdk-all.feature/rootfiles/*

%changelog
* Wed Jul 05 2017 Mat Booth <mat.booth@redhat.com> - 1.14.0-1
- Update to latest upstream version

* Mon May 08 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-10
- Fix build against Oxygen

* Tue Apr 11 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-9
- Allow building against lucene 6 and organise patches

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 27 2016 Mat Booth <mat.booth@redhat.com> - 1.12.0-7
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-5
- Fix build against Lucene 5.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-3
- Adapt pde-build call to changed gef path.

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-2
- Fix build after eclipse-emf-runtime split.
- Modernize package a bit.

* Wed Aug 13 2014 Mat Booth <mat.booth@redhat.com> - 1.12.0-1
- Update to upstream Luna release

* Fri Jun 20 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.11.2-5
- Add feature org.eclipse.datatools.doc.user

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-3
- Accomodate new Lucene sub-packages.

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-2
- Port to Lucene 4.

* Mon Mar 17 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-1
- Update to latest upstream, Kepler SR2.
- Drop requires on java, rhbz #1068036

* Tue Oct 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.1-1
- Update to Kepler SR1.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.0-1
- Update to Kepler release.

* Tue Feb 26 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.10.2-1
- Update to latest upstream.

* Thu Feb 21 2013 Alexander Kurtakov <akurtako@redhat.com> 1.10.1-4
- Remove leftovers from old rpm.
- Fix too strict lucene.core scriptlet.
