#!/bin/bash
NAME="dtp"
TAG="master"

echo "Grabbing git tag tarballs..."

projects="org.eclipse.datatools.build \
org.eclipse.datatools.connectivity \
org.eclipse.datatools.doc \
org.eclipse.datatools.enablement.general \
org.eclipse.datatools.enablement.hsqldb \
org.eclipse.datatools.enablement.ibm \
org.eclipse.datatools.enablement.ingres \
org.eclipse.datatools.enablement.msft \
org.eclipse.datatools.enablement.mysql \
org.eclipse.datatools.enablement.oda \
org.eclipse.datatools.enablement.oracle \
org.eclipse.datatools.enablement.postgresql \
org.eclipse.datatools.enablement.sap \
org.eclipse.datatools.enablement.sqlite \
org.eclipse.datatools.enablement.sybase \
org.eclipse.datatools.modelbase \
org.eclipse.datatools.sqltools"


for project in $projects; do
	git clone git://git.eclipse.org/gitroot/datatools/$project.git
	(cd $project && git checkout master)
	(cd $project && git archive --format=tar --prefix=$project-$TAG/ $TAG | xz > ../$project-$TAG.tar.xz)
done 
